aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mate-panel/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2014-12-15 14:51:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-19 18:49:08 +0000
commit5aeaaae26333ce3f7430bcd3a5ed74b17487046c (patch)
tree993916d775e1de493c633f833ddebd98ee2e8e9f /testing/mate-panel/APKBUILD
parent3f891833f2c5c9262e78fc706bdcf165a1d5ab9f (diff)
downloadaports-5aeaaae26333ce3f7430bcd3a5ed74b17487046c.tar.gz
aports-5aeaaae26333ce3f7430bcd3a5ed74b17487046c.tar.bz2
aports-5aeaaae26333ce3f7430bcd3a5ed74b17487046c.tar.xz
testing/mate-panel: new aport
Diffstat (limited to 'testing/mate-panel/APKBUILD')
-rw-r--r--testing/mate-panel/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/mate-panel/APKBUILD b/testing/mate-panel/APKBUILD
new file mode 100644
index 0000000000..d2cb6161d0
--- /dev/null
+++ b/testing/mate-panel/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=mate-panel
+pkgver=1.9.3
+pkgrel=0
+pkgdesc="The MATE panel is the area on your desktop from which you can run applications"
+url="https://github.com/mate-desktop/mate-panel"
+arch="all"
+license="GPL2"
+depends="mate-common mate-desktop"
+depends_dev=""
+makedepends="$depends_dev librsvg-dev libmateweather-dev libtool intltool itstool
+ mate-menus-dev dconf-dev libice-dev libsm-dev libcanberra-dev dbus-glib-dev
+ libwnck-dev libsoup-dev mate-desktop-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+ find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="56b7118003c1991850a14d2a37afb8cc mate-panel-1.9.3.tar.xz"
+sha256sums="b08f09f14f596a73683e971c82cf6210e60c24ebfb57ab886a323bf4a4135b47 mate-panel-1.9.3.tar.xz"
+sha512sums="c2e1a9b2f05280c031e373cd9ae1f8a3005dc6d133012b674c8d6cbf4b53695d60f47458e7d70bad872406bcfccaa9410009ad3ee2033cc6fb7ea6be5ef7ef03 mate-panel-1.9.3.tar.xz"